Bug 1514013 - Atomic Host 7.4.2 deployed from Satellite 6.2.12 cannot be upgraded out of the box
Summary: Atomic Host 7.4.2 deployed from Satellite 6.2.12 cannot be upgraded out of th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.2.12
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Lukas Zapletal
QA Contact: tstrych
URL:
Whiteboard:
Depends On: 1689504
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 13:46 UTC by Maxim Burgerhout
Modified: 2019-10-07 17:17 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:36:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:36:49 UTC
Foreman Issue Tracker 22139 None None None 2018-01-03 15:59:04 UTC
Red Hat Knowledge Base (Solution) 3248991 None None None 2017-11-22 11:01:02 UTC

Description Maxim Burgerhout 2017-11-16 13:46:55 UTC
Description of problem:
When deploying an Atomic Host machine (at least version 7.4.2) from Satellite, the ostree setup is wrong. This means 'atomic host upgrade' throws an error.

Version-Release number of selected component (if applicable):
Satellite 6.2.12, Atomic Host 7.4.2.

How reproducible:


Steps to Reproduce:
1. Install Satellite 6.2.12, sync in the current version of Atomic Host kickstart (which is 7.4.2)
2. install Atomic Host on new machine
3. Log into the new machine, run 'atomic host upgrade'

Actual results:
Error is thrown: 
error: /install/ostree: opendir(/install/ostree): No such file or directory

Expected results:
Machine is upgraded without issues.

Additional info:
Problem seems to stem from a change in the way subscription-manager handles ostree setup during deployment, in combination with the kickstart template in Satellite 6.2.12.






Workaround:
As a workaround, it's possible to run the following on the new machine to re-enable upgrades:

ostree remote delete rhel-atomic-host
ostree admin set-origin rhel-atomic-host-ostree https://very_long_satellite_url rhel-atomic-host/7/x86_64/standard

Comment 2 Kedar Bidarkar 2017-11-16 14:04:07 UTC
This issue is seen with Sat6.3 setups too.

Comment 9 Marek Hulan 2018-01-03 15:59:01 UTC
Created redmine issue http://projects.theforeman.org/issues/22139 from this bug

Comment 10 Lukas Zapletal 2018-05-17 06:28:53 UTC
Filed https://github.com/theforeman/community-templates/pull/479

Comment 11 pm-sat@redhat.com 2018-06-04 14:23:10 UTC
Upstream bug assigned to lzap@redhat.com

Comment 12 pm-sat@redhat.com 2018-06-04 14:23:14 UTC
Upstream bug assigned to lzap@redhat.com

Comment 13 pm-sat@redhat.com 2018-10-08 18:04:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/22139 has been resolved.

Comment 16 Roman Plevka 2019-03-21 09:30:38 UTC
verification blocked by
https://bugzilla.redhat.com/show_bug.cgi?id=1689504

Comment 17 tstrych 2019-04-10 11:22:55 UTC
This BZ is not blocked anymore. It wasn't tested yet, but devs have already made a change.

Steps were reproduced with sat. 6.5. snap 23 and with rhel-atomic-host version 7.6.3.

result of command - atomic host upgrade - 1 metadata, 0 content objects fetched; 837 B transferred in 0 seconds. No upgrade available.
Machine is not upgraded, but only because there is no new version, so it works as I expect. 

Verified.

Comment 18 tstrych 2019-04-10 11:30:19 UTC
Correction:

""This BZ is not blocked anymore. It wasn't tested yet, but devs have already made a change.""

This was meant for https://bugzilla.redhat.com/show_bug.cgi?id=1689504

Comment 21 errata-xmlrpc 2019-05-14 12:36:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.